Role Name
=========

A role that installs the ePAS client, electronic Personnel Attendance System. <https://epas.projects.iit.cnr.it>

Role Variables
--------------

The most important variables are listed below:

``` yaml
epas_client_timbrature_stack_name: 'epas_c_timbrature'
epas_client_timbrature_service_name: 'epas_timbrature'
epas_client_timbrature_docker_registry: 'docker-registry.services.iit.cnr.it'
epas_client_timbrature_docker_registry_user: 'epas.user'
epas_client_timbrature_docker_registry_pwd: 'use a vault file'
epas_client_timbrature_docker_client_timbrature_image: '{{ epas_client_timbrature_docker_registry }}/epas/area-pisa-client:stable'
epas_client_timbrature_docker_client_timbrature_data_node: 'localhost'
epas_client_timbrature_data_volume: 'epas_dati_timbrature'
epas_client_timbrature_node_constraints: 'node.labels.epas_client == timbrature'
epas_client_timbrature_behind_haproxy: False
epas_client_timbrature_haproxy_public_net: 'haproxy-public'
epas_client_timbrature_compose_dir: '/srv/epas_client_timbrature'

epas_client_timbrature_ftp_server_name: '127.0.0.1'
epas_client_timbrature_ftp_username: 'anonymous'
#epas_client_timbrature_ftp_pwd: 'use a vault file'
epas_client_timbrature_ftp_server_dir: 'AT'
epas_client_timbrature_ftp_file_prefix: 'x'
epas_client_timbrature_epas_server_name: 'epas.example.com'
epas_client_timbrature_epas_server_protocol: 'https'
epas_client_timbrature_epas_server_port: 443
epas_client_timbrature_user: 'user'
#epas_client_timbrature_password: 'use a vault file'
epas_client_timbrature_loglevel: 'INFO'
```

Dependencies
------------

A docker swarm cluster is required

License
-------

EUPL-1.2

Author Information
------------------

Andrea Dell'Amico, <andrea.dellamico@isti.cnr.it>
